# Marksman

[![Code Climate](https://codeclimate.com/github/bitboxer/marksman.png)](https://codeclimate.com/github/bitboxer/marksman)
[![Coverage Status](https://coveralls.io/repos/bitboxer/marksman/badge.png?branch=master)](https://coveralls.io/r/bitboxer/marksman?branch=master)
[![Gem Version](http://img.shields.io/gem/v/marksman.svg)](http://rubygems.org/gems/marksman)

This is an opinionated approach to presentations. I don't want to
think a lot about the design or how to place my text on a slide.

I want to focus on the text. On what I want to say. On the important
part of the presentation.

If you think the same and love markdown, this might be for you.

## Installation

    gem install marksman

## Usage

This generates a public folder with all things needed from the
markdown file `presentation.md`:

    marksman generate presentation.md

You can also run it as a watcher that regenerates the presentation each
time the markdown file was changed

    marksman watch presentation.md

## File format

The system uses plain markdown files with two additions:

* The header can have a jekyll like yaml block
* Slides are separated with `----------`
* Presenter Notes within a slide are separated with `**********` from the
  text in the slide

Here is an example for that format:

    ---
    title: "How to run a company"
    theme: "plain"
    ---
    Bodo Tasche    
    @bitboxer
    ********
    Here I write what I want to say about me. Aka presenter notes.
    --------
    This is code:
    ```
    def hello(name)
      puts "Hello #{name}"
    end
    ```

## Themes

Marksman supports themes. You can either set the used theme in the header of the
presentation or override that choice by adding `-t name` as a parameter.

Currently there are only two themes available:

* `blank` - this renders the presentation as a simple HTML that can be used
to print the presentation
* `plain` - this is a basic presentation theme

If you want to create a theme, just copy one of the themes to your project folder and
reference the directory name in the header.

If you have a theme you would love to share, please send a pull request.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/marksman/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
