require 'spec_helper'

describe Marksman::Converter do

  before do
    @test_dir = Dir.mktmpdir
  end

  after do
    FileUtils.rm_r @test_dir
  end

  subject do
    presentation = Marksman::Parser.new.parse('spec/data/example.md')
    Marksman::Converter.new(presentation)
  end

  it "should generate all the files" do
    subject.write(@test_dir)
    expect(
      temp_file("index.html")
    ).to eq(File.read('spec/data/output/index.html'))
    compare_directory('themes/plain/css', 'css')
    compare_directory('themes/plain/js', 'js')
  end

  def compare_directory(source, target)
    Dir.glob(Pathname.new(source).join('**').join('*')).each do |f|
      name = f.to_s[(source.length + 1)..-1]
      source_content = File.read(Pathname.new(source).join(name))
      target_content = File.read(Pathname.new(@test_dir).join(target).join(name))
      expect(target_content).to eq(source_content)
    end
  end

  def temp_file(file)
    File.read(Pathname.new(@test_dir).join(file))
  end

end
