require 'spec_helper'

describe Marksman::Theme do

  context 'equality' do

    it 'should return true if theme is equal' do
      expect(Marksman::Theme.new('example')).to eq(Marksman::Theme.new('example'))
    end

    it 'should return false if the theme is not equal' do
      expect(Marksman::Theme.new('example')).not_to eq(Marksman::Theme.new('another_example'))
    end

  end

  context 'path' do

    it 'should expect the theme in the gem folder if not found in current one' do
      expect(Marksman::Theme.new('plain').path).to eq(Pathname.new('themes/plain').realpath)
    end

    it 'should expect the theme in the current folder if a directory with the same name was found' do
      expect(Marksman::Theme.new('spec').path).to eq(Pathname.new('spec'))
    end

  end

end
